summaryrefslogtreecommitdiff
path: root/process_static
diff options
context:
space:
mode:
Diffstat (limited to 'process_static')
-rwxr-xr-xprocess_static11
1 files changed, 11 insertions, 0 deletions
diff --git a/process_static b/process_static
new file mode 100755
index 00000000..d03ac408
--- /dev/null
+++ b/process_static
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -o errexit
+
+rm -rf static_tmp
+cp -a static static_tmp
+json_reformat -m < static_tmp/manifest.webmanifest | sponge static_tmp/manifest.webmanifest
+find static_tmp -name '*.css' -exec csso {} -o {} \;
+find static_tmp -name '*.html' -exec html-minifier --collapse-whitespace --remove-comments --process-scripts "application/ld+json" {} -o {} \;
+find static_tmp -name '*.js' -exec terser --module -cmo {} {} \;
+find static_tmp -regex '\(.+/LICENSE\|.+\.\(css\|html\|ico\|js\|svg\|txt\|webmanifest\|xml\)\)' -exec zopfli {} \; -exec touch -r {} {}.gz \;